# Multi Assets Hourly

The endpoint requires an API key and it requires that the symbol of the index is specified using the symbol parameter. If the limit parameter is not specified the latest value is returned. To ensure chronological ordering of the index values you should sort the values using the timestamp field. The endpoint only returns a maximum of 2000 records.

**Example URL**

{% embed url="<https://www.vinterapi.com/api/v3/multi_assets_hourly/?symbol=vntr-eq-5-h>" %}

## Response Fields

<table><thead><tr><th width="199.33333333333331">Field</th><th width="121">Type</th><th>Description</th></tr></thead><tbody><tr><td>id</td><td>integer</td><td>The record's id in the source table. A id that equals 0 means that it is not an official value.</td></tr><tr><td>created_at</td><td>string</td><td>ISO formatted datetime representing the calculation time</td></tr><tr><td>value</td><td>number</td><td>The index value</td></tr><tr><td>symbol</td><td>string</td><td>The index symbol.</td></tr><tr><td>timestamp</td><td>integer</td><td>Unix timestamp in milliseconds representing the calculation time.</td></tr><tr><td>date</td><td>string</td><td>Date representing the calculation date</td></tr><tr><td>hour</td><td>integer</td><td>A integer of the Hour representing the calculation hour</td></tr><tr><td>rebalance_values</td><td>array</td><td>A array of Objects of rebalance values</td></tr><tr><td>rebalance_weights</td><td>object</td><td>Object of rebalance weights</td></tr><tr><td>current_weights</td><td>object</td><td>Object of current weights</td></tr><tr><td>current_values</td><td>array</td><td>A array of Objects of current values</td></tr></tbody></table>

<mark style="color:blue;">`GET`</mark> `https://www.vinterapi.com/api/v3/multi_assets_hourly/`

This is a sample response for asset vntr-eq-5-h

#### Query Parameters

| Name                                     | Type       | Description                                                                                                                                                                                                                                              |
| ---------------------------------------- | ---------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| symbol<mark style="color:red;">\*</mark> | String     | The ticker of the requested index                                                                                                                                                                                                                        |
| limit                                    | Integer    | The number of records to obtain. If the parameter is not specified the last record will be returned.                                                                                                                                                     |
| start\_time                              | datestring | <p>Received range includes the start time date. The start\_time value has to be either a date or a datetime string in ISO8601 format. The formats allowed are therefore: </p><p>YYYY-MM-DDTHH:MM:SSZ</p><p>YYYY-MM-DDTHH:MM:SS.fffZ</p><p>YYYY-MM-DD</p> |
| end\_time                                | datestring | <p>Received range excludes the end\_time . The end\_time value has to be either a date or a datetime string in ISO8601 format. The formats allowed are therefore: </p><p>YYYY-MM-DDTHH:MM:SSZ</p><p>YYYY-MM-DDTHH:MM:SS.fffZ</p><p>YYYY-MM-DD</p>        |

#### Headers

| Name                                            | Type   | Description            |
| ----------------------------------------------- | ------ | ---------------------- |
| Authorization<mark style="color:red;">\*</mark> | String | your\_secret\_api\_key |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
    "result": "success",
    "message": "Success",
    "data": [
        {
            "id": 167943,
            "created_at": "2022-11-18T10:00:31.546Z",
            "symbol": "vntr-eq-5-h",
            "value": 1916.04,
            "rebalance_values": [
                {
                    "value": 0.4032,
                    "symbol": "ada-usd-p-d",
                    "datetime": "2022-10-31T16:00:06.384Z",
                    "timestamp": 1667232006383
                },
                {
                    "value": 324.33,
                    "symbol": "bnb-usd-p-d",
                    "datetime": "2022-10-31T16:00:11.707Z",
                    "timestamp": 1667232011706
                },
                {
                    "value": 20363.48,
                    "symbol": "btc-usd-p-d",
                    "datetime": "2022-10-31T16:00:07.907Z",
                    "timestamp": 1667232007905
                },
                {
                    "value": 1565.25,
                    "symbol": "eth-usd-p-d",
                    "datetime": "2022-10-31T16:00:04.531Z",
                    "timestamp": 1667232002445
                },
                {
                    "value": 0.452628,
                    "symbol": "xrp-usd-p-d",
                    "datetime": "2022-10-31T16:00:07.781Z",
                    "timestamp": 1667232007780
                },
                {
                    "value": 2341.2,
                    "symbol": "vntr-eq-5-d",
                    "datetime": "2022-10-31T16:00:21.381Z",
                    "timestamp": 1667232021379
                }
            ],
            "timestamp": 1668765631545,
            "date": "2022-11-18",
            "rebalance_weights": {
                "ada-usd-p-h": 0.2,
                "bnb-usd-p-h": 0.2,
                "btc-usd-p-h": 0.2,
                "eth-usd-p-h": 0.2,
                "xrp-usd-p-h": 0.2
            },
            "current_weights": {
                "ada-usd-p-h": 0.1986187064,
                "bnb-usd-p-h": 0.2046175635,
                "btc-usd-p-h": 0.2007775648,
                "eth-usd-p-h": 0.1894596455,
                "xrp-usd-p-h": 0.2065265197
            },
            "current_values": [
                {
                    "value": 0.3277,
                    "symbol": "ada-usd-p-h",
                    "datetime": "2022-11-18T10:00:03.496486Z",
                    "timestamp": 1668765603496
                },
                {
                    "value": 271.56,
                    "symbol": "bnb-usd-p-h",
                    "datetime": "2022-11-18T10:00:31.458464Z",
                    "timestamp": 1668765631458
                },
                {
                    "value": 16730.27,
                    "symbol": "btc-usd-p-h",
                    "datetime": "2022-11-18T10:00:04.510639Z",
                    "timestamp": 1668765604510
                },
                {
                    "value": 1213.49,
                    "symbol": "eth-usd-p-h",
                    "datetime": "2022-11-18T10:00:04.911595Z",
                    "timestamp": 1668765604911
                },
                {
                    "value": 0.382519,
                    "symbol": "xrp-usd-p-h",
                    "datetime": "2022-11-18T10:00:06.238735Z",
                    "timestamp": 1668765606238
                }
            ],
            "hour": 10
        }
    ],
    "params": {
        "symbol": "vntr-eq-5-h"
    }
}
```

{% endtab %}
{% endtabs %}

{% hint style="info" %}
The multi-asset endpoint offers comprehensive metadata about the index. If you only require specific index data filtering, you can utilize the following code snippet below to retrieve filtered data based on specific fields.
{% endhint %}

```python
import requests

url = "https://www.vinterapi.com/api/v3/multi_assets_hourly/?symbol=vntr-eq-5-h"
headers = {"Authorization": your_secret_api_key}
r = requests.get(url, headers=headers)
resp = r.json()

# Filter Fields
INDEX_FIELDS = [
    "id",
    "created_at",
    "value",
    "symbol",
    "timestamp",
    "date"
]

filtered_data = []

# Filter just the fields mentioned in INDEX_FIELDS
for index in resp["data"]:
    # Add it to dict
    filtered_data.append({k: index[k] for k in INDEX_FIELDS})

print(filtered_data)
```

Please read the following for detailed information on parameters.

{% content-ref url="../api-requests-parameters" %}
[api-requests-parameters](https://docs.kaiko.com/formerly-vinter-indices/api/api-requests-parameters)
{% endcontent-ref %}

### [Try the API](https://vinterapi.com/apidocs)
